# Uses of Class
javax.swing.event.MouseInputAdapter

Packages that use MouseInputAdapter
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of MouseInputAdapter in javax.swing.plaf.basic

Subclasses of MouseInputAdapter in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicDesktopIconUI.MouseInputHandler`
Listens for mouse movements and acts on them.
`protected class`
`BasicInternalFrameUI.BorderListener`
Listens for border adjustments.
`class`
`BasicSliderUI.TrackListener`
Track mouse movements.
Fields in javax.swing.plaf.basic declared as MouseInputAdapter
Modifier and Type
Field
Description
`protected MouseInputAdapter`
BasicInternalFrameUI.`borderListener`
Border listener
Methods in javax.swing.plaf.basic that return MouseInputAdapter
Modifier and Type
Method
Description
`protected MouseInputAdapter`
BasicInternalFrameUI.`createBorderListener​(JInternalFrame w)`
Creates the border listener.

## Uses of MouseInputAdapter in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal that return MouseInputAdapter
Modifier and Type
Method
Description
`protected MouseInputAdapter`
MetalInternalFrameUI.`createBorderListener​(JInternalFrame w)`
Returns the `MouseInputAdapter` that will be installed on the TitlePane.